Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.klomp.snark
Class PeerMonitorTask

    java.lang.Object
      java.util.TimerTask
          org.klomp.snark.PeerMonitorTask

All Implemented Interfaces:
  Runnable

     class PeerMonitorTask

extends TimerTask

TimerTask that monitors the peers and total up/download speeds. Works together with the main Snark class to report periodical statistics.

Field Summary
`(package private) static long` | `MONITOR_PERIOD`

Constructor Summary
`PeerMonitorTask(PeerCoordinator coordinator)`

Method Summary
`void` | `run()`

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MONITOR_PERIOD

    static final long MONITOR_PERIOD

See Also:
  Constant Field Values

Constructor Detail

### PeerMonitorTask

    PeerMonitorTask(PeerCoordinator coordinator)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Specified by:
    `run` in class `TimerTask`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD